Bug 582899 - guestfish:sparse is missed from command autocomplete list
guestfish:sparse is missed from command autocomplete list
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 02:40 EDT by Qixiang Wan
Modified: 2010-05-20 20:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 08:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Qixiang Wan 2010-04-16 02:40:47 EDT
Description of problem:
guestfish command autocomplete is not include sparse, so if you use key <TAB> to list the available commands, it won't be displayed.

Version-Release number of selected component (if applicable):
libguestfs-1.0.85-1.fc12.3.x86_64
guestfish-1.0.85-1.fc12.3.x86_64


How reproducible:
100%

Steps to Reproduce:
1. guestfish
><fs> sp<press TAB>

2. 
<fish/fish.h>

   118	#define BUILTIN_COMMANDS_FOR_COMPLETION \
   119	  "help",				\
   120	  "quit", "exit", "q",		        \
   121	  "alloc", "allocate",		        \
   122	  "echo",				\
   123	  "edit", "vi", "emacs",		\
   124	  "lcd",				\
   125	  "glob",				\
   126	  "more", "less",			\
   127	  "reopen",				\
   128	  "time"
   129	

Actual results:


Expected results:


Additional info:
Comment 2 Fedora Update System 2010-04-20 15:12:13 EDT
libguestfs-1.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.el5
Comment 3 Fedora Update System 2010-04-20 18:25:44 EDT
libguestfs-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.fc13
Comment 4 Fedora Update System 2010-04-21 08:42:32 EDT
libguestfs-1.2.3-1.fc12.6 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.fc12.6
Comment 5 Fedora Update System 2010-05-20 20:31:24 EDT
libguestfs-1.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.